Issue 121236 - Writer does not support SHIFT fast-move of selected draw objects
Writer does not support SHIFT fast-move of selected draw objects
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 09:33 UTC by Armin Le Grand
Modified: 2013-07-12 16:27 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-10-19 09:33:16 UTC
ALG: When a draw object is selected (ni all apps) you can move it with the cursor keys. The amount of movement can be modified by pressing 'CTRL' to move in pixels and 'SHIFT' to move in bigger steps. SW seems not to support SHIFT.
Comment 1 Armin Le Grand 2012-10-19 09:33:31 UTC
ALG: Taking over
Comment 2 Armin Le Grand 2012-10-19 09:34:19 UTC
ALG: Same for calc...
Comment 3 Armin Le Grand 2012-10-19 13:29:05 UTC
ALG: Calc is straight-forward; same as Draw/Impress, just add the case for KEY_SHIFT is pressed. Writer is another story; the code doing the moves is awkward (at least), trying to adapt it...
Comment 4 Armin Le Grand 2012-10-19 13:50:56 UTC
ALG: Writer is not easy )for fly frames and for draw objects), but it uses the SnapSize from the view options for normal moves, so it is user-changeable. Adapted so that a big move (with shift) will move three times as far. Checking...
Comment 5 Armin Le Grand 2012-10-19 15:03:49 UTC
ALG: Okay, done and checked flr all applications. Preparing checkin...
Comment 6 SVN Robot 2012-10-19 15:10:22 UTC
"alg" committed SVN 0 into trunk:
#121236# Added support for fast move of objects with cursor keys (holding shi...
Comment 7 Armin Le Grand 2012-10-19 15:19:24 UTC
ALG: Checked in, done.
Comment 8 Li Feng Wang 2012-11-09 02:56:55 UTC
Verified Pass on trunk 0.
Can use SHIFT to move in bigger step in SW.